#ifndef __API_TIMER_H__
#define __API_TIMER_H__

#define RLT_RELOAD_1MS_VALUE      0x80E      //2062
#define RLT_RELOAD_2MS_VALUE      0x101C
#define RLT_RELOAD_10MS_VALUE     0x508C
#define RLT_RELOAD_50US_VALUE     103
#define RLT_RELOAD_100US_VALUE    206
#define RLT_RELOAD_100MS_VALUE    0x64AF

extern uint8_t CANSendEnable;
extern uint8_t HJ_SWitchDownSetTimeFalg;
extern volatile uint32_t Timer1msCnts;
extern uint16_t IntervalTimerDelta;
extern volatile uint32_t ClusterValidTimerCnts;
extern uint8_t SetTimeBlinkCount;
extern uint16_t HJ_SWitchDownTime;

extern uint32_t Timer10msCnts;
extern void TimeProcessing(void);
extern void TIMER1_1ms_Init(void);
extern void TIMER_50us_Init(void);
extern void TIMER_100us_Init(void);
extern void TIMER_10ms_Init(void);

extern uint16_t HJ_SWitchUpTime;
#endif /* __API_TIMER_H__ */
